Loading...
Searching...
No Matches
AVDeviceInfoList Struct Reference
libavdevice

List of devices. More...

`#include <libavdevice/avdevice.h>`

## Data Fields

AVDeviceInfo ** | devices
| list of autodetected devices
int | nb_devices
| number of autodetected devices
int | default_device
| index of default device or -1 if no default

## Detailed Description

List of devices.

Definition at line 343 of file avdevice.h.

## Field Documentation

## devices

AVDeviceInfo** AVDeviceInfoList::devices

list of autodetected devices

Definition at line 344 of file avdevice.h.

## nb_devices

int AVDeviceInfoList::nb_devices

number of autodetected devices

Definition at line 345 of file avdevice.h.

## default_device

int AVDeviceInfoList::default_device

index of default device or -1 if no default

Definition at line 346 of file avdevice.h.

The documentation for this struct was generated from the following file:

- libavdevice/avdevice.h